Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.spatial.network
Class GeometryMetadata

`java.lang.Object
oracle.spatial.network.GeometryMetadata`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public class GeometryMetadata
extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

This class defines geometry metadata for Oracle SDO_GEOMETRY.

See Also:
  Serialized Form

Constructor Summary
`GeometryMetadata(java.sql.Connection conn, java.lang.String tableName, java.lang.String columnName)` Constructs the geometry metadata from the database.
`GeometryMetadata(java.lang.String tableName)` Constructs the geometry metadata without a geometry column.
`GeometryMetadata(java.lang.String tableName, java.lang.String columnName, int srid, int noOfDims)` Constructs the geometry metadata.

Method Summary
`java.lang.String` | `getColumnName()` Returns the geometry column name.
`int` | `getNoOfDims()` Returns the number of dimensions.
`int` | `getSrid()` Returns the SRID.
`java.lang.String` | `getTableName()` Returns the geometry table name.
`void` | `setColumnName(java.lang.String columnName)` Sets the geometry column name.
`void` | `setNoOfDims(int noOfDims)` Sets the number of dimensions
`void` | `setSrid(int srid)` Sets the SRID
`void` | `setTableName(java.lang.String tableName)` Sets the table name
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeometryMetadata

    public GeometryMetadata(java.lang.String tableName)

  Constructs the geometry metadata without a geometry column.

### GeometryMetadata

    public GeometryMetadata(java.lang.String tableName,
                            java.lang.String columnName,
                            int srid,
                            int noOfDims)

  Constructs the geometry metadata.
Parameters:
  `tableName` - the geometry table name
  `columnName` - the geometry column name
  `srid` - the SRID
  `noOfDims` - the number of dimensions for the specified geometry table

### GeometryMetadata

    public GeometryMetadata(java.sql.Connection conn,
                            java.lang.String tableName,
                            java.lang.String columnName)

  Constructs the geometry metadata from the database.
Parameters:
  `conn` - the database connection
  `tableName` - the geometry table name
  `columnName` - the geometry column name

Method Detail

### getTableName

    public java.lang.String getTableName()

  Returns the geometry table name.

### setTableName

    public void setTableName(java.lang.String tableName)

  Sets the table name

### getColumnName

    public java.lang.String getColumnName()

  Returns the geometry column name.

### setColumnName

    public void setColumnName(java.lang.String columnName)

  Sets the geometry column name.

### getSrid

    public int getSrid()

  Returns the SRID.

### setSrid

    public void setSrid(int srid)

  Sets the SRID

### getNoOfDims

    public int getNoOfDims()

  Returns the number of dimensions.

### setNoOfDims

    public void setNoOfDims(int noOfDims)

  Sets the number of dimensions

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Spatial Java API Reference 10g Release 2 (10.2) B14373-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, Oracle. All Rights Reserved.